import pandas as pd
import numpy as np
import config as cf


def read_data_f():
    distance_m = pd.read_csv(cf.network_dist_file)
    time_sec = pd.read_csv(cf.network_time_file)
    
    distance = distance_m / 1000
    distance = np.round_(distance,decimals=1)

    time = time_sec / cf.interval
    time = time.apply(np.ceil)
    
    demand_means = pd.read_csv(cf.demand_mean_file)
    return(distance, time, demand_means)

def read_scen_f(folderposition, sc):
    df = pd.read_excel(''.join([folderposition,'Scenario ',str(sc+1),
                                '.xlsx']))
    df = df.iloc[:,1:]
    return np.array(df) 

